package models.control;

import java.util.List;

import models.entities.Animal;
import models.factory.AbstractFactory;
import models.registers.AnimalRegister;

public class AnimalControl {
	
	private AnimalRegister animalRegister;
	
	public AnimalControl(AbstractFactory factory) {
		this.animalRegister = new AnimalRegister(factory);
	}
	
	public void create(Animal animal) {
		animalRegister.create(animal);
	}

	public List<Animal> all() {
		return animalRegister.all();
	}

	public Animal findAnimalById(Long id) {
		return animalRegister.findAnimalById(id);
	}
}
