package models.control;

import java.util.List;

import models.entities.Employee;
import models.factory.AbstractFactory;
import models.registers.EmployeeRegister;

public class EmployeeControl {

	private EmployeeRegister employeeRegister;
	
	public EmployeeControl(AbstractFactory factory) {
		this.employeeRegister = new EmployeeRegister(factory);
	}
	
	public void create(Employee employee) {
		employeeRegister.create(employee);
	}

	public List<Employee> all() {
		return employeeRegister.all();
	}

	public Employee findEmployeeById(Long id) {
		return employeeRegister.findEmployeeById(id);
	}
}
