package models.control;

import java.util.List;

import models.entities.Procedure;
import models.factory.AbstractFactory;
import models.registers.ProcedureRegister;

public class ProcedureControl {

	private ProcedureRegister procedureRegister;
	
	public ProcedureControl(AbstractFactory factory) {
		this.procedureRegister = new ProcedureRegister(factory);
	}
	
	public void create(Procedure procedure) {
		procedureRegister.create(procedure);
	}

	public void remove(Long id) {
		procedureRegister.remove(id);
	}

	public void update(Procedure procedure) {
		procedureRegister.updateProcedure(procedure);
	}

	public List<Procedure> all() {
		return procedureRegister.all();
	}

	public Procedure findProcedureById(Long id) {
		return procedureRegister.findProcedureById(id);
	}
	
}
