package models.entities;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Id;

import models.subSistemaEmail.EmailSubSystemFacade;

import play.data.validation.Constraints.Required;
import play.db.ebean.Model;

@Entity
public class Employee extends Model implements Observer {

	@Id
	@Required
	private String name;
	private String CPF;
	private Date dateOfBirth;
	private String function;
	private String emailLogin;
	private String emailPassword;
	
	public Employee(String name, String email, String CPF, Date dataN, String function, String password) {
		this.name = name;
		this.CPF = CPF;
		this.dateOfBirth = dataN;
		this.emailLogin = email;
		this.function = function;
		this.setEmailPassword(password);
	}
	
	/**
	 * @return the cPF
	 */
	public String getCPF() {
		return CPF;
	}
	/**
	 * @param cPF the cPF to set
	 */
	public void setCPF(String cPF) {
		CPF = cPF;
	}
	
	public String getEmail() {
		return emailLogin;
	}

	public void setEmail(String email) {
		this.emailLogin = email;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Date getDateOfBirth() {
		return dateOfBirth;
	}

	public void setDateOfBirth(Date dateOfBirth) {
		this.dateOfBirth = dateOfBirth;
	}

	public String getFunction() {
		return function;
	}

	public void setFunction(String function) {
		this.function = function;
	}
	
	public String getEmailPassword() {
		return emailPassword;
	}

	public void setEmailPassword(String emailPassword) {
		this.emailPassword = emailPassword;
	}

	@Override
	public void updateObserver(Procedure procedure) {
		String title = "[VetSoft - Procedure] " + procedure.getProcedureType() + " " + procedure.toStringDate();
		String message = "Hello " + this.getName() + "!" + "This email is to remember you about the procedure: \n" +
		" " + procedure.getProcedureType() + " - " + procedure.getDescription() +  ", " + "in " + procedure.toStringDate() + ".";
		
		Email email = new Email(title, this.getEmail(), this.getEmailPassword(), message);
		
		//Chamada a fachada do subsistema de envio de email
		EmailSubSystemFacade.getInstance().sendEmail(email);
	}
	
}
