package models.registers;

import java.util.List;

import models.entities.Animal;
import models.factory.AbstractFactory;
import models.repositories.IRepositoryAnimal;

public class AnimalRegister implements IRepositoryAnimal<Animal>{

	private IRepositoryAnimal<Animal> repositoryAnimal;
	
	public AnimalRegister(AbstractFactory factory) {
		repositoryAnimal = factory.createRepositoryAnimal();
	}
	
	@Override
	public void create(Animal animal) {
		repositoryAnimal.create(animal);
	}

	@Override
	public List<Animal> all() {
		return repositoryAnimal.all();
	}

	@Override
	public Animal findAnimalById(Long id) {
		return repositoryAnimal.findAnimalById(id);
	}

}
