package models.registers;

import java.util.List;

import models.entities.Procedure;
import models.factory.AbstractFactory;
import models.repositories.IRepositoryProcedure;

public class ProcedureRegister implements IRepositoryProcedure<Procedure> {

	private IRepositoryProcedure<Procedure> repositoryProcedure;
	
	public ProcedureRegister(AbstractFactory factory) {
		repositoryProcedure = factory.createRepositoryProcedure();
	}
	
	@Override
	public void create(Procedure procedure) {
		repositoryProcedure.create(procedure);
	}

	@Override
	public void remove(Long id) {
		repositoryProcedure.remove(id);
	}

	@Override
	public void updateProcedure(Procedure procedure) {
		repositoryProcedure.updateProcedure(procedure);
	}

	@Override
	public List<Procedure> all() {
		return repositoryProcedure.all();
	}

	@Override
	public Procedure findProcedureById(Long id) {
		return repositoryProcedure.findProcedureById(id);
	}

}
